package com.ssj.bean.sys.opentest;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "tb_test_result")
public class OpenTestResult extends BaseEntity {
	private static final long serialVersionUID = 890135943022798129L;
    /**
     * tb_user.id
     */
    private String userId;
    private String testUserId;
    private String grade;
    private String subject;
    private String version;
    private String answer;
    /**
     * 时间（秒）
     */
    private Integer time;
    private String explanation;
    /**
     * 个人正确率
     */
    private BigDecimal accuracyRate;
    /**
     * 正确率超过
     */
    private String accuracyExceed;
    /**
     * 速度超过
     */
    private String speedExceed;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 对应的题的版本，因为题目更新后会递增版本号
     */
    private Integer questionVersion;
    /**
     * 分数
      */
    private Integer score;
    /**
     * 0生效 1失效
     */
    private int isDelete;
    /**
     * 单元
     */
    private String unit;
    /**
     * 类型：1学前测评，2单元测评
     */
    private Integer type;
    /**
     * 学期
     */
    private String semester;

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getQuestionVersion() {
        return questionVersion;
    }

    public void setQuestionVersion(Integer questionVersion) {
        this.questionVersion = questionVersion;
    }

    public String getAccuracyExceed() {
        return accuracyExceed;
    }

    public void setAccuracyExceed(String accuracyExceed) {
        this.accuracyExceed = accuracyExceed;
    }

    public String getSpeedExceed() {
        return speedExceed;
    }

    public void setSpeedExceed(String speedExceed) {
        this.speedExceed = speedExceed;
    }

    public BigDecimal getAccuracyRate() {
        return accuracyRate;
    }

    public void setAccuracyRate(BigDecimal accuracyRate) {
        this.accuracyRate = accuracyRate;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getTestUserId() {
        return testUserId;
    }

    public void setTestUserId(String testUserId) {
        this.testUserId = testUserId;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }
}
